Update an MCP API key
Rename, rescope, re-limit, or deactivate a key. Rescoping takes effect on the key's next request. Send at least one field.
curl -X PATCH "https://mythic-analytics.gulp.workers.dev/builder/mcp/api-keys/123e4567-e89b-12d3-a456-426614174000" \
-H "Content-Type: application/json" \
-H "Authorization: Bearer YOUR_API_TOKEN" \
-d '{
"name": "Reporting agent (read-only)",
"scopes": [
"people:read"
],
"rate_limit_per_minute": 120,
"is_active": false
}'
import requests
import json
url = "https://mythic-analytics.gulp.workers.dev/builder/mcp/api-keys/123e4567-e89b-12d3-a456-426614174000"
headers = {
"Content-Type": "application/json",
"Authorization": "Bearer YOUR_API_TOKEN"
}
data = {
"name": "Reporting agent (read-only)",
"scopes": [
"people:read"
],
"rate_limit_per_minute": 120,
"is_active": false
}
response = requests.patch(url, headers=headers, json=data)
print(response.json())
const response = await fetch("https://mythic-analytics.gulp.workers.dev/builder/mcp/api-keys/123e4567-e89b-12d3-a456-426614174000", {
method: "PATCH",
headers: {
"Content-Type": "application/json",
"Authorization": "Bearer YOUR_API_TOKEN"
},
body: JSON.stringify({
"name": "Reporting agent (read-only)",
"scopes": [
"people:read"
],
"rate_limit_per_minute": 120,
"is_active": false
})
});
const data = await response.json();
console.log(data);
package main
import (
"fmt"
"net/http"
"bytes"
"encoding/json"
)
func main() {
data := []byte(`{
"name": "Reporting agent (read-only)",
"scopes": [
"people:read"
],
"rate_limit_per_minute": 120,
"is_active": false
}`)
req, err := http.NewRequest("PATCH", "https://mythic-analytics.gulp.workers.dev/builder/mcp/api-keys/123e4567-e89b-12d3-a456-426614174000", bytes.NewBuffer(data))
if err != nil {
panic(err)
}
req.Header.Set("Content-Type", "application/json")
req.Header.Set("Authorization", "Bearer YOUR_API_TOKEN")
client := &http.Client{}
resp, err := client.Do(req)
if err != nil {
panic(err)
}
defer resp.Body.Close()
fmt.Println("Response Status:", resp.Status)
}
require 'net/http'
require 'json'
uri = URI('https://mythic-analytics.gulp.workers.dev/builder/mcp/api-keys/123e4567-e89b-12d3-a456-426614174000')
http = Net::HTTP.new(uri.host, uri.port)
http.use_ssl = true
request = Net::HTTP::Patch.new(uri)
request['Content-Type'] = 'application/json'
request['Authorization'] = 'Bearer YOUR_API_TOKEN'
request.body = '{
"name": "Reporting agent (read-only)",
"scopes": [
"people:read"
],
"rate_limit_per_minute": 120,
"is_active": false
}'
response = http.request(request)
puts response.body
{
"data": {
"id": "123e4567-e89b-12d3-a456-426614174000",
"agency_id": "123e4567-e89b-12d3-a456-426614174000",
"location_id": "loc_abc123",
"name": "Reporting agent",
"key_prefix": "mcp_3f9a1c0b",
"scopes": [
"people:read",
"insights:read"
],
"is_active": true,
"rate_limit_per_minute": 60,
"last_used_at": "2024-12-25T10:00:00Z",
"created_at": "2024-12-25T10:00:00Z",
"updated_at": "2024-12-25T10:00:00Z"
}
}
{
"error": "Bad Request",
"message": "The request contains invalid parameters or malformed data",
"code": 400,
"details": [
{
"field": "email",
"message": "Invalid email format"
}
]
}
{
"error": "Not Found",
"message": "The requested resource was not found",
"code": 404
}
/builder/mcp/api-keys/{id}Target server for requests. Edit to use your own host.
An agency key (ak_). Location secret keys are rejected. Scoped keys (mcp_) are not accepted here (403 not_available_to_scoped_keys).
ak_). Location secret keys are rejected. Scoped keys (mcp_) are not accepted here (403 not_available_to_scoped_keys).The media type of the request body
false disables the key without deleting it — reversible, unlike revocation.
Request Preview
Response
Response will appear here after sending the request
Authentication
Bearer token. An agency key (ak_). Location secret keys are rejected. Scoped keys (mcp_) are not accepted here (403 not_available_to_scoped_keys).
Path Parameters
Body
Reporting agent (read-only)["people:read"]120false disables the key without deleting it — reversible, unlike revocation.
falseResponses
The raw key is absent — it exists only in the create response.